Bug 1093059 - [Build 20180508] openQA test fails in firefox - firefox "dumped core"
[Build 20180508] openQA test fails in firefox - firefox "dumped core"
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Firefox
Current
aarch64 Other
: P5 - None : Major (vote)
: ---
Assigned To: Guillaume GARDET
E-mail List
https://openqa.opensuse.org/tests/674...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-14 06:31 UTC by Oliver Kurz
Modified: 2018-07-27 09:39 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Kurz 2018-05-14 06:31:33 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-aarch64-xfce@aarch64 fails in
[firefox](https://openqa.opensuse.org/tests/674991/modules/firefox/steps/6)
with firefox crashing. A core dump is available. See the logs archive in https://openqa.opensuse.org/tests/674991/file/firefox-problem_detection_logs.tar.xz
contaning log files and the core dump.

There is also a core dump for "login" which should rather be handled in https://bugzilla.opensuse.org/show_bug.cgi?id=1091349

## Reproducible

Fails since (at least) Build [20180330](https://openqa.opensuse.org/tests/647164)


## Expected result

Last good: [20180322](https://openqa.opensuse.org/tests/642607) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?distri=opensuse&version=Tumbleweed&arch=aarch64&flavor=DVD&test=xfce&machine=aarch64)
Comment 1 Guillaume GARDET 2018-05-17 09:23:16 UTC
If it may help, here is the GDB trace:

Core was generated by `/usr/lib64/firefox/firefox https://html5test.opensuse.org'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000ffff8d3a4680 in raise () from /lib64/libpthread.so.0
[Current thread is 1 (Thread 0xffff8d403ff0 (LWP 13473))]
(gdb) 
(gdb) where
#0  0x0000ffff8d3a4680 in raise () from /lib64/libpthread.so.0
#1  0x0000ffff88bb80b0 in nsProfileLock::FatalSignalHandler (signo=11, info=0xffffe3eef550, context=0xffffe3eef5d0)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/toolkit/profile/nsProfileLock.cpp:177
#2  0x0000ffff890e5058 in WasmFaultHandler (signum=11, info=0xffffe3eef550, context=0xffffe3eef5d0)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/js/src/wasm/WasmSignalHandlers.cpp:1446
#3  <signal handler called>
#4  0x0000000000000000 in ?? ()
#5  0x0000ffff85e26d98 in nsCOMPtr<nsIObserver>::nsCOMPtr (aRawPtr=0xffffe3ef0210, this=<synthetic pointer>)
    at /home/abuild/rpmbuild/BUILD/obj/dist/include/nsCOMPtr.h:486
#6  nsObserverService::RemoveObserver (this=<optimized out>, aObserver=0xffffe3ef0210, aTopic=0xffff897cf358 "dom-window-destroyed")
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/xpcom/ds/nsObserverService.cpp:255
#7  0x0000ffff87512030 in mozilla::dom::FetchBodyConsumer<mozilla::dom::Response>::ReleaseObject (this=this@entry=0xffffe3ef0210)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/dom/fetch/FetchConsumer.cpp:443
#8  0x0000ffff87512864 in mozilla::dom::FetchBodyConsumer<mozilla::dom::Response>::ContinueConsumeBody(nsresult, unsigned int, unsigned char*, bool)::{lambda()#2}::operator()() const (__closure=<synthetic pointer>) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/dom/fetch/FetchConsumer.cpp:625
#9  mozilla::ScopeExit<mozilla::dom::FetchBodyConsumer<mozilla::dom::Response>::ContinueConsumeBody(nsresult, unsigned int, unsigned char*, bool)::{lambda()#2}>::~ScopeExit() (this=<synthetic pointer>, __in_chrg=<optimized out>) at /home/abuild/rpmbuild/BUILD/obj/dist/include/mozilla/ScopeExit.h:112
#10 mozilla::dom::FetchBodyConsumer<mozilla::dom::Response>::ContinueConsumeBody (this=0xffffe3ef0210, this@entry=0xffff6a64b2a0, 
    aStatus=aStatus@entry=nsresult::NS_OK, aResultLength=aResultLength@entry=5541, 
    aResult=aResult@entry=0xffff69cd2000 "{\n  \"manifest\": {\n    \"schema\": \"chrome://extensions/content/schemas/extension_types.json\",\n    \"scopes\": []\n  },\n  \"alarms\": {\n    \"url\": \"chrome://extensions/content/ext-alarms.js\",\n    \"schema\": \"c"..., aShuttingDown=aShuttingDown@entry=false)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/dom/fetch/FetchConsumer.cpp:624
#11 0x0000ffff875130a8 in mozilla::dom::(anonymous namespace)::ConsumeBodyDoneObserver<mozilla::dom::Response>::OnStreamComplete (this=0xffff6a649500, 
    aLoader=<optimized out>, aCtxt=<optimized out>, aStatus=nsresult::NS_OK, aResultLength=5541, 
    aResult=0xffff69cd2000 "{\n  \"manifest\": {\n    \"schema\": \"chrome://extensions/content/schemas/extension_types.json\",\n    \"scopes\": []\n  },\n  \"alarms\": {\n    \"url\": \"chrome://extensions/content/ext-alarms.js\",\n    \"schema\": \"c"...)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/dom/fetch/FetchConsumer.cpp:271
#12 0x0000ffff85f33b88 in mozilla::net::nsStreamLoader::OnStopRequest (this=0xffff758bf100, request=0xffff6a3af700, ctxt=0x0, aStatus=nsresult::NS_OK)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/netwerk/base/nsStreamLoader.cpp:109
#13 0x0000ffff85ef1e04 in nsInputStreamPump::OnStateStop (this=this@entry=0xffff6a3af700)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/netwerk/base/nsInputStreamPump.cpp:700
#14 0x0000ffff85ef8114 in nsInputStreamPump::OnInputStreamReady (this=0xffff6a3af700, stream=<optimized out>)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/netwerk/base/nsInputStreamPump.cpp:428
#15 0x0000ffff85e42f68 in nsInputStreamReadyEvent::Run (this=0xffff6a3a8580) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/xpcom/io/nsStreamUtils.cpp:97
#16 0x0000ffff85e6ea00 in nsThread::ProcessNextEvent (this=<optimized out>, aMayWait=<optimized out>, aResult=0xffffe3ef0be7, this=<optimized out>)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/xpcom/threads/nsThread.cpp:1040
#17 0x0000ffff85e78318 in NS_ProcessNextEvent (aThread=<optimized out>, aThread@entry=0xffff8cd58de0, aMayWait=aMayWait@entry=false)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/xpcom/threads/nsThreadUtils.cpp:517
#18 0x0000ffff86299958 in mozilla::ipc::MessagePump::Run (this=0xffff839e7640, aDelegate=0xffff8cd4e260)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/ipc/glue/MessagePump.cpp:97
#19 0x0000ffff8626de94 in MessageLoop::RunInternal (this=<optimized out>)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/ipc/chromium/src/base/message_loop.cc:326
#20 MessageLoop::RunHandler (this=<optimized out>) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/ipc/chromium/src/base/message_loop.cc:319
#21 MessageLoop::Run (this=<optimized out>) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/ipc/chromium/src/base/message_loop.cc:299
#22 0x0000ffff87cad3a4 in nsBaseAppShell::Run (this=0xffff7c359760) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/widget/nsBaseAppShell.cpp:157
#23 0x0000ffff88b2e914 in nsAppStartup::Run (this=0xffff7c34df10) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/toolkit/components/startup/nsAppStartup.cpp:288
#24 0x0000ffff88bc2c64 in XREMain::XRE_mainRun (this=this@entry=0xffffe3ef0eb8) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/toolkit/xre/nsAppRunner.cpp:4702
#25 0x0000ffff88bc3828 in XREMain::XRE_main (this=this@entry=0xffffe3ef0eb8, argc=argc@entry=2, argv=argv@entry=0xffffe3ef2218, aConfig=...)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/toolkit/xre/nsAppRunner.cpp:4841
#26 0x0000ffff88bc3b9c in XRE_main (argc=2, argv=0xffffe3ef2218, aConfig=...) at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/toolkit/xre/nsAppRunner.cpp:4933
#27 0x0000aaaab558e174 in do_main (argc=2, argv=0xffffe3ef2218, envp=<optimized out>)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/browser/app/nsBrowserApp.cpp:231
#28 0x0000aaaab558dac8 in main (argc=2, argv=0xffffe3ef2218, envp=0xffffe3ef2230)
    at /usr/src/debug/MozillaFirefox-59.0.3-1.1.aarch64/browser/app/nsBrowserApp.cpp:304
Comment 2 Swamp Workflow Management 2018-05-26 21:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1093059) was mentioned in
https://build.opensuse.org/request/show/612426 Factory / MozillaFirefox
Comment 3 Guillaume GARDET 2018-05-29 12:15:23 UTC
I confirm that adding '-ffixed-x28' flag workarounds the problem, and we have no crash on start-up anymore.

The fixed package reached Factory, but not yet Factory:ARM.

Tested on Raspberry Pi 3, latest Tumbleweed XFCE desktop (openSUSE-Tumbleweed-ARM-XFCE-raspberrypi3.aarch64-2018.04.30-Build2.3.raw.xz) with Firefox from mozilla:Factory project.
Comment 4 Guillaume GARDET 2018-06-07 09:33:08 UTC
I submitted SR#614877 to remove '-ffixed-x28' workaround and use upstream patch.

For reference usptream bug is bmo#1375074
Comment 5 Swamp Workflow Management 2018-06-07 18:30:14 UTC
This is an autogenerated message for OBS integration:
This bug (1093059) was mentioned in
https://build.opensuse.org/request/show/615022 15.0+42.3 / MozillaFirefox+mozilla-nss
Comment 6 Swamp Workflow Management 2018-06-08 19:17:49 UTC
openSUSE-SU-2018:1616-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1093059,1094747,1096449,1096515
CVE References: CVE-2018-6126
Sources used:
openSUSE Leap 42.3 (src):    MozillaFirefox-60.0.2-101.1, mozilla-nss-3.36.4-50.1
openSUSE Leap 15.0 (src):    MozillaFirefox-60.0.2-lp150.3.6.1, mozilla-nss-3.36.4-lp150.2.3.1
Comment 7 Guillaume GARDET 2018-07-27 09:39:53 UTC
Bug fixed.